org.wildfly.swarm.config.elytron

## Class CustomRealm<T extends CustomRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.CustomRealm<T>

-     public class CustomRealm<T extends CustomRealm<T>>
      extends Object

  A custom realm definitions can implement either the SecurityRealm interface or the ModifiableSecurityRealm interface. Regardless of which interface is implemented management operations will not be exposed to manage the realm. However other services that depend on the realm will still be able to perform a type check and cast to gain access to the modification API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `className()` The class name of the implementation of the custom realm.
    `T` | `className(String value)` The class name of the implementation of the custom realm.
    `Map` | `configuration()` The optional key/value configuration for the custom realm.
    `T` | `configuration(Map value)` The optional key/value configuration for the custom realm.
    `T` | `configuration(String key, Object value)` The optional key/value configuration for the custom realm.
    `String` | `getKey()`
    `String` | `module()` The module to use to load the custom realm.
    `T` | `module(String value)` The module to use to load the custom realm.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomRealm

          public CustomRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### configuration

          public Map configuration()

      The optional key/value configuration for the custom realm.

    - #### configuration

          public T configuration(Map value)

      The optional key/value configuration for the custom realm.

    - #### configuration

          public T configuration(String key,
                                 Object value)

      The optional key/value configuration for the custom realm.

    - #### className

          public String className()

      The class name of the implementation of the custom realm.

    - #### className

          public T className(String value)

      The class name of the implementation of the custom realm.

    - #### module

          public String module()

      The module to use to load the custom realm.

    - #### module

          public T module(String value)

      The module to use to load the custom realm.

Copyright © 2018 JBoss by Red Hat. All rights reserved.